#' Function to calculate color bar breaks for bias metric

SC_breaks <- function(data) {
  # data is an array with Mean Bias values or another metric
  bias.max <- max(abs(data), na.rm = TRUE)
  bias.minmax_max <- quantile(data, 0.98, na.rm = TRUE)
  bias.minmax_min <- quantile(data, 0.02, na.rm = TRUE)
  bias.max <- max(abs(bias.minmax_min), abs(bias.minmax_max))
  bias.int <- bias.max * c(-1, -0.8, -0.6, -0.4, -0.2, 0, 0.2, 0.4, 0.6, 0.8, 1) ## one point more than the colors below (the intervals)
  bias.int <- signif(bias.int, digits = 2)
  return(bias.int)
}
